 /*
 * Copyright (C) 2007 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
*/
#pragma once

/** @cond OLPLUGIN */
/** @addtogroup UI */
/** @{ */

#define COLOR_LINK_NORMAL RGB(0,0,255)
#define COLOR_LINK_HOVER  RGB(0,0,0)
#define COLOR_BRUSH RGB(0,0,0)


/**
 * Labels.
 */
class CCustomLabel : public CStatic
{
	DECLARE_DYNAMIC(CCustomLabel)

public:
	CCustomLabel();   // standard constructor
	virtual ~CCustomLabel();

// Dialog Data

public:
    CBrush brush;
    COLORREF clrLinkText;
    CFont fontNormal;
    CFont fontHover;
    bool bMouseCaptured;
    void init() ;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    
	DECLARE_MESSAGE_MAP()
    afx_msg void OnPaint();
    
    afx_msg HBRUSH OnCtlColor( CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg LRESULT OnMouseLeave(WPARAM, LPARAM);
};

/** @} */
/** @endcond */
