 /*
 * Copyright (C) 2007 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
*/

/** @cond OLPLUGIN */
/** @addtogroup UI */
/** @{ */

#pragma once
#include "afxwin.h"


/**
 * Log settings window.
 */
class CLogSettings : public CDialog
{
	DECLARE_DYNAMIC(CLogSettings)

public:
	CLogSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CLogSettings();

// Dialog Data
	enum { IDD = IDD_LOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
    CButton radioNone;
    CButton radioInfo;
    CButton radioDebug;
    CStatic groupLevel;

    bool saveSettings(bool saveToDisk);

    afx_msg void OnBnClickedLogOk();
    afx_msg void OnBnClickedLogCancel();
    afx_msg void OnBnClickedLogRadioNone();
    afx_msg void OnBnClickedLogRadioInfo();
    afx_msg void OnBnClickedLogRadioDebug();
    afx_msg void OnBnClickedLogViewlog();
};

/** @} */
/** @endcond */
